Deletes a dataObject.
HTTP request
DELETE https://vectorsearch.googleapis.com/v1beta/{name}
Path parameters
| Parameters | |
|---|---|
name |
Required. The name of the DataObject resource to be deleted. Format: |
Query parameters
| Parameters | |
|---|---|
etag |
Optional. The current etag of the DataObject. If an etag is provided and does not match the current etag of the DataObject, deletion will be blocked and an ABORTED error will be returned. |
Request body
The request body must be empty.
Response body
If successful, the response body is an empty JSON object.
Authorization scopes
Requires the following OAuth scope:
https://www.googleapis.com/auth/cloud-platform
For more information, see the Authentication Overview.
IAM Permissions
Requires the following IAM permission on the name resource:
vectorsearch.dataObjects.delete
For more information, see the IAM documentation.